## javax.xml.stream.events
Interface XMLEvent

All Superinterfaces:
  XMLStreamConstants

All Known Subinterfaces:
  Attribute, Characters, Comment, DTD, EndDocument, EndElement, EntityDeclaration, EntityReference, Namespace, NotationDeclaration, ProcessingInstruction, StartDocument, StartElement

public interface XMLEvent
extends XMLStreamConstants

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`Characters` `asCharacters()`
`EndElement` `asEndElement()`
`StartElement` `asStartElement()`
`int` `getEventType()`
`Location` `getLocation()`
`QName` `getSchemaType()`
`boolean` `isAttribute()`
`boolean` `isCharacters()`
`boolean` `isEndDocument()`
`boolean` `isEndElement()`
`boolean` `isEntityReference()`
`boolean` `isNamespace()`
`boolean` `isProcessingInstruction()`
`boolean` `isStartDocument()`
`boolean` `isStartElement()`
`void` `writeAsEncodedUnicode(java.io.Writer writer)`

Method Detail

### asCharacters

    public Characters asCharacters()

### asEndElement

    public EndElement asEndElement()

### asStartElement

    public StartElement asStartElement()

### getEventType

    public int getEventType()

### getLocation

    public Location getLocation()

### getSchemaType

    public QName getSchemaType()

### isAttribute

    public boolean isAttribute()

### isCharacters

    public boolean isCharacters()

### isEndDocument

    public boolean isEndDocument()

### isEndElement

    public boolean isEndElement()

### isEntityReference

    public boolean isEntityReference()

### isNamespace

    public boolean isNamespace()

### isProcessingInstruction

    public boolean isProcessingInstruction()

### isStartDocument

    public boolean isStartDocument()

### isStartElement

    public boolean isStartElement()

### writeAsEncodedUnicode

    public void writeAsEncodedUnicode(java.io.Writer writer)
                               throws XMLStreamException

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.